attachments:
  files: [stardist_postprocessing.ijm, stardist_weights.h5, per_sample_scale_range.ijm]
authors:
- {github_user: uschmidt83, name: Uwe Schmidt}
- {github_user: maweigert, name: Martin Weigert}
cite:
- {doi: 'https://doi.org/10.1007/978-3-030-00934-2_30', text: Cell Detection with
    Star-Convex Polygons}
- {doi: 'https://doi.org/10.1109/WACV45572.2020.9093435', text: Star-convex Polyhedra
    for 3D Object Detection and Segmentation in Microscopy}
config:
  deepimagej:
    allow_tiling: true
    model_keys: null
    prediction:
      postprocess:
      - {spec: null}
      preprocess:
      - {kwargs: per_sample_scale_range.ijm, spec: 'ij.IJ::runMacroFile'}
    pyramidal_model: false
    test_information:
      inputs:
      - name: test_input.npy
        pixel_size: {x: 1.0, y: 1.0, z: 1.0}
        size: 512 x 912 x 1 x 1
      memory_peak: null
      outputs:
      - {name: test_output.npy, size: 512 x 912 x 1 x 33, type: image}
      runtime: null
  stardist:
    config:
      axes: YXC
      backbone: unet
      grid: [2, 2]
      n_channel_in: 1
      n_channel_out: 33
      n_classes: null
      n_dim: 2
      n_rays: 32
      net_conv_after_unet: 128
      net_input_shape: [null, null, 1]
      net_mask_shape: [null, null, 1]
      train_background_reg: 0.0001
      train_batch_size: 15
      train_checkpoint: weights_best.h5
      train_checkpoint_epoch: weights_now.h5
      train_checkpoint_last: weights_last.h5
      train_class_weights: [1, 1]
      train_completion_crop: 32
      train_dist_loss: mae
      train_epochs: 400
      train_foreground_only: 0.9
      train_learning_rate: 0.0001
      train_loss_weights: [1, 0.2]
      train_n_val_patches: null
      train_patch_size: [256, 256]
      train_reduce_lr: {factor: 0.5, min_delta: 0, patience: 40}
      train_sample_cache: true
      train_shape_completion: false
      train_steps_per_epoch: 100
      train_tensorboard: true
      unet_activation: relu
      unet_batch_norm: false
      unet_dropout: 0.0
      unet_kernel_size: [3, 3]
      unet_last_activation: relu
      unet_n_conv_per_depth: 2
      unet_n_depth: 3
      unet_n_filter_base: 32
      unet_pool: [2, 2]
      unet_prefix: ''
      use_gpu: false
    postprocessing_macro: stardist_postprocessing.ijm
    python_version: 0.8.5
    thresholds: {nms: 0.3, prob: 0.1220522337265954}
    weights: stardist_weights.h5
covers: [stardist_logo.jpg]
description: StarDist - Object Detection with Star-convex Shapes for Developing Tribolium Castaneum from the Cell Tracking Challenge.
documentation: doc.md
format_version: 0.4.9
git_repo: https://github.com/stardist/stardist
inputs:
- axes: byxc
  data_range: [-.inf, .inf]
  data_type: float32
  name: input
  preprocessing:
  - kwargs: {axes: yx, max_percentile: 99.8, min_percentile: 1.0, mode: per_sample}
    name: scale_range
  shape:
    min: [1, 208, 208, 1]
    step: [0, 16, 16, 0]
license: BSD-3-Clause
links: [deepimagej/deepimagej]
maintainers:
- github_user: cfusterbarcelo
  name: Caterina Fuster-Barcelo
name: StarDist-Drosophila-Melanogaster
outputs:
- axes: byxc
  data_range: [-.inf, .inf]
  data_type: float32
  halo: [0, 96, 96, 0]
  name: output
  shape:
    offset: [0.0, 0.0, 0.0, 16.5]
    reference_tensor: input
    scale: [1.0, 1.0, 1.0, 0.0]
sample_inputs: [sample_input_0.tif]
sample_outputs: [sample_output_0.tif]
tags: [fluorescence-light-microscopy, whole-slide-imaging, 2d, cells, nuclei,
  tensorflow, fiji, unet, instance-segmentation, object-detection, stardist, deepimagej]
test_inputs: [test_input.npy]
test_outputs: [test_output.npy]
timestamp: '2023-12-06T10:14:31.494699'
type: model
weights:
  tensorflow_saved_model_bundle: {dependencies: 'conda:environment.yaml', sha256: 40072322601f16169638233e5a02c1afbc5a6c1ffd38b6266c229353a107138f,
    source: TF_SavedModel.zip, tensorflow_version: 2.14.0}
